Create Checkout Link
- Method:
GET - Path:
/api/v1/cp/psp/finitic-pay/checkout - Auth: API Key (HMAC)
Query parameters
amount: order amount to collectcurrency: settlement or quote currencymerchant: merchant identifiercallbackUrl: URL to receive payment completion redirects or updatesorderId: merchant order reference
This endpoint returns a checkout URL that you can redirect the customer to or present inside your application flow.
Example request
curl -X GET "https://<HOST>/api/v1/cp/psp/finitic-pay/checkout?amount=149.99¤cy=USD&merchant=merchant_123&callbackUrl=https%3A%2F%2Fmerchant.example%2Fpayments%2Fcallback&orderId=order_1001" \
-H "api-key: <YOUR_API_KEY>" \
-H "timestamp: 1712668800" \
-H "signature: <HMAC_SIGNATURE>"Pre-request script
Use this Postman pre-request script to generate and inject the api-key, timestamp, and signature headers.
const apiKey = '<YOUR_API_KEY>';
const apiSecret = '<YOUR_API_SECRET_KEY>';
const timestamp = Math.floor(Date.now() / 1000).toString();
let body = '';
if (pm.request.body && pm.request.body.mode === 'raw') {
const raw = pm.request.body.raw?.trim();
if (raw) {
body = JSON.stringify(JSON.parse(raw));
}
}
const payload = `${timestamp}.${body}`;
const signature = CryptoJS.HmacSHA256(payload, apiSecret).toString(CryptoJS.enc.Hex);
pm.request.headers.upsert({ key: 'api-key', value: apiKey });
pm.request.headers.upsert({ key: 'timestamp', value: timestamp });
pm.request.headers.upsert({ key: 'signature', value: signature });Access
You must also access this endpoint with a Bearer token.
Authorization: Bearer <YOUR_BEARER_TOKEN>Sample response
The checkout experience returns a hosted page similar to the example below:

Sample callback
- the first callback is sent immediately when the customer initiates the payment with status
INITIATED - the second callback is sent within 1-3 minutes when the payment is completed with status
PAID,PARTIALPAID, orEXPIRED
{
"id": "69d766c38d5ea65ab5266418",
"orderId": "1001",
"customerId": "69b27b05e6207a9525f74dc8",
"initiatedAmount": 123.004951,
"paidAmount": 0,
"status": "INITIATED",
"currency": "USD",
"fee": 0,
"eventide": 3171
}Last updated on